module LocationReleaseContext
  extend ActiveSupport::Concern

  def location_releases
    policy_scope(LocationRelease)
  end

  def set_location_release
    location_release_id = params[:location_release_id] || params[:id]

    @location_release = authorize location_releases.find(location_release_id)
  end
end
